"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "AutoSkeletonIgnoreView", {
  enumerable: true,
  get: function () {
    return _AutoSkeletonIgnoreViewNativeComponent.default;
  }
});
exports.AutoSkeletonView = void 0;
var _AutoSkeletonIgnoreViewNativeComponent = _interopRequireDefault(require("./AutoSkeletonIgnoreViewNativeComponent"));
var _reactNative = require("react-native");
var _AutoSkeletonViewNativeComponent = _interopRequireDefault(require("./AutoSkeletonViewNativeComponent"));
var _react = _interopRequireWildcard(require("react"));
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
// export { default as AutoSkeletonView } from './AutoSkeletonViewNativeComponent';

const DEFAULT_GRADIENT_COLORS = ['#D3D3D3', '#FFFFFF'];
const DEFAULT_BORDER_RADIUS = 4;
const DEFAULT_ANIMATION_DURATION = 1.0; // seconds

const AutoSkeletonView = exports.AutoSkeletonView = /*#__PURE__*/_react.default.memo(props => {
  const gColors = (0, _react.useMemo)(() => {
    //@ts-ignore
    if (_reactNative.Platform.OS === 'ios' && global._IS_FABRIC === false) {
      return (props.gradientColors ?? DEFAULT_GRADIENT_COLORS).map(color => (0, _reactNative.processColor)(color));
    }
    return props.gradientColors ?? DEFAULT_GRADIENT_COLORS;
  }, [props.gradientColors]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_AutoSkeletonViewNativeComponent.default, {
    ...props,
    gradientColors: gColors,
    shimmerBackgroundColor: props.shimmerBackgroundColor ?? '#CECECE',
    defaultRadius: props.defaultRadius ?? DEFAULT_BORDER_RADIUS,
    shimmerSpeed: props.shimmerSpeed ?? DEFAULT_ANIMATION_DURATION
  });
});
//# sourceMappingURL=index.js.map